(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define(['exports', '@angular/core'], factory) :
    (factory((global.ng = global.ng || {}, global.ng.dial = {}),global.ng.core));
}(this, (function (exports,core) { 'use strict';

    var NgxMaterialDialComponent = /** @class */ (function () {
        function NgxMaterialDialComponent() {
            this.value = 180;
            this.valueChange = new core.EventEmitter();
        }
        NgxMaterialDialComponent.prototype.onClick = function (e) {
            this.value = this.calcAngle(e.offsetX, e.offsetY);
            this.valueChange.emit(this.value);
            this.redraw();
        };
        NgxMaterialDialComponent.prototype.calcAngle = function (x, y) {
            return Math.round(Math.atan2(y - 50, x - 50) * (180 / Math.PI)) + 90;
        };
        NgxMaterialDialComponent.prototype.redraw = function () {
            this.rootElement.nativeElement.style.transform = 'rotate(' + this.value + 'deg)';
        };
        NgxMaterialDialComponent.prototype.ngOnInit = function () {
            this.redraw();
        };
        NgxMaterialDialComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-material-dial',
                        template: '<div (click)="onClick($event)">\n	<div outer #rootElement>\n		<div inner></div>\n	</div>\n</div>\n',
                        styles: [':host {\n    display: block;\n}\n\n:host > div {\n    width: 100%;\n    height: 100%;\n}\n\ndiv[outer] {\n    border: 1px solid #616161;\n    background-color: #DDDDDD;\n    border-radius: 50%;\n    position: relative;\n    pointer-events: none;\n    transition: transform 0.3s;\n    min-width: 100px;\n    min-height: 100px;\n}\n\ndiv[inner] {\n    border: 1px solid #616161;\n    background-color: #AAAAAA;\n    border-radius: 50%;\n    width: 20%;\n    height: 20%;\n    position: absolute;\n    pointer-events: none;\n    top: 10%;\n    left: 40%;\n}\n']
                    },] },
        ];
        /** @nocollapse */
        NgxMaterialDialComponent.propDecorators = {
            "rootElement": [{ type: core.ViewChild, args: ['rootElement',] },],
            "value": [{ type: core.Input },],
            "valueChange": [{ type: core.Output },],
        };
        return NgxMaterialDialComponent;
    }());

    var NgxMaterialDialModule = /** @class */ (function () {
        function NgxMaterialDialModule() {
        }
        NgxMaterialDialModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            NgxMaterialDialComponent
                        ],
                        exports: [
                            NgxMaterialDialComponent
                        ]
                    },] },
        ];
        return NgxMaterialDialModule;
    }());

    exports.NgxMaterialDialComponent = NgxMaterialDialComponent;
    exports.NgxMaterialDialModule = NgxMaterialDialModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
