import { Component, Input, ViewChild, ElementRef, Output, EventEmitter } from '@angular/core';
var NgxMaterialDialComponent = /** @class */ (function () {
    function NgxMaterialDialComponent() {
        this.value = 180;
        this.valueChange = new EventEmitter();
    }
    NgxMaterialDialComponent.prototype.onClick = function (e) {
        this.value = this.calcAngle(e.offsetX, e.offsetY);
        this.valueChange.emit(this.value);
        this.redraw();
    };
    NgxMaterialDialComponent.prototype.calcAngle = function (x, y) {
        return Math.round(Math.atan2(y - 50, x - 50) * (180 / Math.PI)) + 90;
    };
    NgxMaterialDialComponent.prototype.redraw = function () {
        this.rootElement.nativeElement.style.transform = 'rotate(' + this.value + 'deg)';
    };
    NgxMaterialDialComponent.prototype.ngOnInit = function () {
        this.redraw();
    };
    NgxMaterialDialComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ngx-material-dial',
                    template: '<div (click)="onClick($event)">\n	<div outer #rootElement>\n		<div inner></div>\n	</div>\n</div>\n',
                    styles: [':host {\n    display: block;\n}\n\n:host > div {\n    width: 100%;\n    height: 100%;\n}\n\ndiv[outer] {\n    border: 1px solid #616161;\n    background-color: #DDDDDD;\n    border-radius: 50%;\n    position: relative;\n    pointer-events: none;\n    transition: transform 0.3s;\n    min-width: 100px;\n    min-height: 100px;\n}\n\ndiv[inner] {\n    border: 1px solid #616161;\n    background-color: #AAAAAA;\n    border-radius: 50%;\n    width: 20%;\n    height: 20%;\n    position: absolute;\n    pointer-events: none;\n    top: 10%;\n    left: 40%;\n}\n']
                },] },
    ];
    /** @nocollapse */
    NgxMaterialDialComponent.propDecorators = {
        "rootElement": [{ type: ViewChild, args: ['rootElement',] },],
        "value": [{ type: Input },],
        "valueChange": [{ type: Output },],
    };
    return NgxMaterialDialComponent;
}());
export { NgxMaterialDialComponent };
//# sourceMappingURL=dial.component.js.map